Disk Encryption Sets - Get

ディスク暗号化セットに関する情報を取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/diskEncryptionSets/{diskEncryptionSetName}?api-version=2025-01-02

URI パラメーター

名前 / 必須 説明
diskEncryptionSetName
path True

string

作成されるディスク暗号化セットの名前。 ディスク暗号化セットの作成後に名前を変更することはできません。 名前でサポートされている文字は、a~z、A~Z、0~9、_ および -です。 名前の最大長は 80 文字です。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

subscriptionId
path True

string

minLength: 1

ターゲット サブスクリプションの ID。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 説明
200 OK

DiskEncryptionSet

Azureの運用は無事に完了しました。

Other Status Codes

CloudError

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

get information about a disk encryption set when auto-key rotation failed.
get information about a disk encryption set.

get information about a disk encryption set when auto-key rotation failed.

要求のサンプル

GET https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/diskEncryptionSets/myDiskEncryptionSet?api-version=2025-01-02

応答のサンプル

{
  "identity": {
    "type": "SystemAssigned"
  },
  "properties": {
    "activeKey": {
      "sourceVault": {
        "id": "/subscriptions/{subscriptionId}/resourceGroups/myResourceGroup/providers/Microsoft.KeyVault/vaults/myVMVault"
      },
      "keyUrl": "https://myvmvault.vault-int.azure-int.net/keys/{key}"
    },
    "encryptionType": "EncryptionAtRestWithCustomerKey",
    "previousKeys": [],
    "rotationToLatestKeyVersionEnabled": true,
    "provisioningState": "Succeeded",
    "autoKeyRotationError": {
      "code": "ManagedServiceIdentityNotFound",
      "message": "Auto-key rotation was disabled as managed service identity associated with DiskEncryptionSet 'myDiskEncryptionSet' was not found. Please update the resource with correct identity to re-enable auto-key rotation."
    }
  },
  "type": "Microsoft.Compute/diskEncryptionSets",
  "location": "westus",
  "tags": {
    "department": "Development",
    "project": "Encryption"
  },
  "id": "/subscriptions/{subscriptionId}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/diskEncryptionSets/myDiskEncryptionSet",
  "name": "myDiskEncryptionSet"
}

get information about a disk encryption set.

要求のサンプル

GET https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/diskEncryptionSets/myDiskEncryptionSet?api-version=2025-01-02

応答のサンプル

{
  "identity": {
    "type": "SystemAssigned"
  },
  "properties": {
    "activeKey": {
      "sourceVault": {
        "id": "/subscriptions/{subscriptionId}/resourceGroups/myResourceGroup/providers/Microsoft.KeyVault/vaults/myVMVault"
      },
      "keyUrl": "https://myvmvault.vault-int.azure-int.net/keys/{key}"
    },
    "encryptionType": "EncryptionAtRestWithCustomerKey",
    "previousKeys": [],
    "provisioningState": "Succeeded"
  },
  "type": "Microsoft.Compute/diskEncryptionSets",
  "location": "westus",
  "tags": {
    "department": "Development",
    "project": "Encryption"
  },
  "id": "/subscriptions/{subscriptionId}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/diskEncryptionSets/myDiskEncryptionSet",
  "name": "myDiskEncryptionSet"
}

定義

名前 説明
ApiError

API エラー。

ApiErrorBase

API エラーベース。

CloudError

コンピューティング サービスからのエラー応答。

Common.UserAssignedIdentitiesValue
createdByType

リソースを作成した ID の種類。

DiskEncryptionSet

ディスク暗号化セット リソース。

DiskEncryptionSetIdentityType

DiskEncryptionSet によって使用されるマネージド ID の種類。 新しい作成では、SystemAssigned のみがサポートされます。 ディスク暗号化セットは、新しいAzure Active Directory テナントへのサブスクリプションの移行中に ID の種類 None で更新できます。これにより、暗号化されたリソースがキーにアクセスできなくなります。

DiskEncryptionSetType

ディスクのデータを暗号化するために使用されるキーの種類。

EncryptionSetIdentity

ディスク暗号化セットのマネージド ID。 ディスクの暗号化に使用する前に、キー コンテナーに対するアクセス許可を付与する必要があります。

InnerError

内部エラーの詳細。

KeyForDiskEncryptionSet

マネージド ディスクとスナップショットのサーバー側暗号化に使用する Key Vault キー URL

SourceVault

コンテナー ID は、/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.KeyVault/vaults/{vaultName} という形式の Azure Resource Manager リソース ID です。

systemData

リソースの作成と最後の変更に関連するメタデータ。

ApiError

API エラー。

名前 説明
code

string

エラー コード。

details

ApiErrorBase[]

Api エラーの詳細

innererror

InnerError

Api 内部エラー

message

string

エラー メッセージ。

target

string

特定のエラーのターゲット。

ApiErrorBase

API エラーベース。

名前 説明
code

string

エラー コード。

message

string

エラー メッセージ。

target

string

特定のエラーのターゲット。

CloudError

コンピューティング サービスからのエラー応答。

名前 説明
error

ApiError

API エラー。

Common.UserAssignedIdentitiesValue

名前 説明
clientId

string

ユーザー割り当て ID のクライアント ID。

principalId

string

ユーザー割り当て ID のプリンシパル ID。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

DiskEncryptionSet

ディスク暗号化セット リソース。

名前 説明
id

string

リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

EncryptionSetIdentity

ディスク暗号化セットのマネージド ID。 ディスクの暗号化に使用する前に、キー コンテナーに対するアクセス許可を付与する必要があります。

location

string

リソースが存在する地理的な場所

name

string

リソースの名前

properties.activeKey

KeyForDiskEncryptionSet

このディスク暗号化セットで現在使用されているキー コンテナー キー。

properties.autoKeyRotationError

ApiError

自動キーのローテーション中に発生したエラー。 エラーが存在する場合、このディスク暗号化セットのエラーが修正されるまで、自動キーのローテーションは試行されません。

properties.encryptionType

DiskEncryptionSetType

ディスクのデータを暗号化するために使用されるキーの種類。

properties.federatedClientId

string

別のテナントのキー コンテナーにアクセスするためのマルチテナント アプリケーション クライアント ID。 値を 'None' に設定すると、プロパティがクリアされます。

properties.lastKeyRotationTimestamp

string (date-time)

このディスク暗号化セットのアクティブキーが更新された時刻。

properties.previousKeys

KeyForDiskEncryptionSet[]

キー ローテーションの進行中に、このディスク暗号化セットによって以前に使用されたキー コンテナー キーの読み取り専用コレクション。 進行中のキーローテーションがない場合は空になります。

properties.provisioningState

string

ディスク暗号化セットのプロビジョニング状態。

properties.rotationToLatestKeyVersionEnabled

boolean

このディスク暗号化セットを最新のキー バージョンに自動更新できるようにするには、このフラグを true に設定します。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

tags

object

リソース タグ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」

DiskEncryptionSetIdentityType

DiskEncryptionSet によって使用されるマネージド ID の種類。 新しい作成では、SystemAssigned のみがサポートされます。 ディスク暗号化セットは、新しいAzure Active Directory テナントへのサブスクリプションの移行中に ID の種類 None で更新できます。これにより、暗号化されたリソースがキーにアクセスできなくなります。

説明
SystemAssigned
UserAssigned
SystemAssigned, UserAssigned
None

DiskEncryptionSetType

ディスクのデータを暗号化するために使用されるキーの種類。

説明
EncryptionAtRestWithCustomerKey

diskEncryptionSet を使用するリソースは、顧客が変更および取り消すことができるカスタマー マネージド キーを使用して保存時に暗号化されます。

EncryptionAtRestWithPlatformAndCustomerKeys

diskEncryptionSet を使用するリソースは、保存時に 2 つの暗号化層で暗号化されます。 キーの 1 つはカスタマー マネージドで、もう 1 つのキーはプラットフォーム管理です。

ConfidentialVmEncryptedWithCustomerKey

機密 VM でサポートされているディスクと VM ゲストの状態は、カスタマー マネージド キーで暗号化されます。

EncryptionSetIdentity

ディスク暗号化セットのマネージド ID。 ディスクの暗号化に使用する前に、キー コンテナーに対するアクセス許可を付与する必要があります。

名前 説明
principalId

string

マネージド ID リソースのオブジェクト ID。 これは、リソースに systemAssigned(暗黙的) ID がある場合、PUT 要求の x-ms-identity-principal-id ヘッダーを介して ARM から RP に送信されます

tenantId

string

マネージド ID リソースのテナント ID。 これは、リソースに systemAssigned(暗黙的) ID がある場合、PUT 要求の x-ms-client-tenant-id ヘッダーを介して ARM から RP に送信されます

type

DiskEncryptionSetIdentityType

DiskEncryptionSet によって使用されるマネージド ID の種類。 新しい作成では、SystemAssigned のみがサポートされます。 ディスク暗号化セットは、新しいAzure Active Directory テナントへのサブスクリプションの移行中に ID の種類 None で更新できます。これにより、暗号化されたリソースがキーにアクセスできなくなります。

userAssignedIdentities

<string,  Common.UserAssignedIdentitiesValue>

ディスク暗号化セットに関連付けられているユーザー ID の一覧。 ユーザー識別辞書のキー参照は、次の形式のARMリソースIDとなります:'/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft。ManagedIdentity/userAssignedIdentities/{identityName}'.

InnerError

内部エラーの詳細。

名前 説明
errordetail

string

内部エラー メッセージまたは例外ダンプ。

exceptiontype

string

例外の種類。

KeyForDiskEncryptionSet

マネージド ディスクとスナップショットのサーバー側暗号化に使用する Key Vault キー URL

名前 説明
keyUrl

string

KeyVault のキーを指す完全バージョン管理されたキー URL。 url のバージョン セグメントは、rotationToLatestKeyVersionEnabled 値に関係なく必要です。

sourceVault

SourceVault

キーまたはシークレットを含む KeyVault のリソース ID。 このプロパティは省略可能であり、KeyVault サブスクリプションがディスク暗号化セット サブスクリプションと同じでない場合は使用できません。

SourceVault

コンテナー ID は、/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.KeyVault/vaults/{vaultName} という形式の Azure Resource Manager リソース ID です。

名前 説明
id

string

リソース ID

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。